Subject: bug#45376: 28.0.50; [Feature/Native-Comp] strange `ls` output in eshell loaded from eln

From: "[email-masked]" <[email-masked]>
Date: Wed, 23 Dec 2020 15:34:48 +0000

Indeed. On f244c21902, I got

~ $ (eshell-ls-find-column-lengths (list (list "dd" "kk") (list "rr" "uue")))
([4 4]
 ("dd" "kk")
 ("rr" "uue"))

but on 	433ae7b0a5cedbcd7b0a1daf12846e38f00fd111, I got

~ $ (eshell-ls-find-column-lengths (list (list "dd" "kk") (list "rr" "uue")))
([4 0]
 ("dd" "kk")
 ("dd" "kk"))

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Wednesday, December 23, 2020 1:51 AM, Andrea Corallo <[email-masked]> wrote:

> [email-masked]">--protonSignature--"[email-masked]" [email-masked] writes:
>
> > Hi,
> > I checked the last updated feature/native-comp branch (commit 433ae7b0a5cedbcd7b0a1daf12846e38f00fd111) and identified a strange outputs from eln-compiled eshell.
> > The first attachment shows the `ls` command output under eshell loaded
> > from elc, while the second attachment shows the same command, but much
> > stranger output under eshell loaded from eln.
> > I have tested/complied the last updated code on Linux/x86-64,
> > Linux/aarch64 (Debian Bullseye, GCC 10.2.1) and Windows (Msys2), all
> > the test cases generate the same weird output from `ls` under
> > eln-loaded eshell.
> > This issue does not happen on the code based at or before commit f244c21902
> > Thanks,
> > Kiong-Ge.
>
> Hi Kiong-Ge,
>
> yep, I've merged a lot of stuff into the value/type inference logic so
> this is certanly related.
>
> The offending function is `eshell-ls-find-column-lengths', I'll have a
> look.
>
> Thanks for reporting
>
> Andrea
>
> PS leaving out emacs-devel to avoid cross posting